function pixels = checkunionallcolors()

%CHECKUNIONALLCOLORS checkunionallcolors()
%   
%   This function returns the positions of the pixels to use in function
%   createcurvematrix2 to create the Z matrix. Those positions are chosen
%   to optimize the camera curve. If you are using another image sequence
%   you will have to change the images to use in this function to two
%   images from your sequence that are not too far apart in shutter speed. 
%
%   AUTHORS:
%   Jansson Sara        sarja751
%   Linnersund Karin    karli734
%
%   
%   REFERENCES
%   - Recovering high dynamic range images from Photographs (Paul E. Debevec et. al.)
%
%

    pixels = zeros(50,2);

    image1 = imread('DSC_0056.JPG');
    image1=double(image1);%=============================  modified by me jlj 2007
    image2 = imread('DSC_0059.JPG');
    image2=double(image2);%=============================  modified by me jlj 2007

    %%%%%%%%%%%%
    image1thres1R = image1(:,:,1) < 200;
    image1thres2R = image1(:,:,1) > 30;
    
    image1thresR = image1thres1R.*image1thres2R;
    
    image2thres1R = image2(:,:,1) < 200;
    image2thres2R = image2(:,:,1) > 30;
    
    image2thresR = image1thres1R.*image1thres2R;
    %%%%%%%%%%%%
    image1thres1G = image1(:,:,2) < 200;
    image1thres2G = image1(:,:,2) > 30;
    
    image1thresG = image1thres1G.*image1thres2G;
    
    image2thres1G = image2(:,:,2) < 200;
    image2thres2G = image2(:,:,2) > 30;
    
    image2thresG = image1thres1G.*image1thres2G;
    %%%%%%%%%%%%%%%%
    image1thres1B = image1(:,:,3) < 200;
    image1thres2B = image1(:,:,3) > 30;
    
    image1thresB = image1thres1B.*image1thres2B;
    
    image2thres1B = image2(:,:,3) < 200;
    image2thres2B = image2(:,:,3) > 30;
    
    image2thresB = image1thres1B.*image1thres2B;
    %%%%%%%%%%%%%%%%%%%%%
    union = zeros(size(image1));
    union = image1thresR.*image2thresR.*image1thresG.*image2thresG.*image1thresB.*image2thresB;
    %figure, imshow(union);
    
    %Find all the pixel positions where there are still values. 
    [i,j] = find(union == 1);
    
    indexmatrix = zeros(size(i),2);
    %Warning: Input arguments must be scalar.
    
    indexmatrix(:,1) = i;
    indexmatrix(:,2) = j;
    
    k = 1;
    step = floor(size(i,1)/50);
    
    for l = 1:1:50
            pixels(l,1) = indexmatrix(k,1);
            pixels(l,2) = indexmatrix(k,2);
        k = k + step;
    end

end