function z = createcurvematrix2(infile, numberofimages, color)

%CREATECURVEMATRIX2 createcurvematrix2(infile, numberofimages, color)
%   
%   The createcurvematrix function takes as arguments a textfile with names
%   of the photographs to create the hdr-images from, how many they are and
%   wich color is being processed. R = 1, G = 2, B = 3. It then returns a
%   54x14 matrix where each colum corresponds to pixelvalues in each of the
%   images. 
%
%  
%   AUTHORS:
%   Jansson Sara        sarja751
%   Linnersund Karin    karli734
%
%   
%   REFERENCES
%   - Recovering high dynamic range images from Photographs (Paul E. Debevec et. al.)
%
%

%create the positionarray
pixels = checkunionallcolors;
%Warning: Input arguments must be scalar.
    
%read in the images (14)
%create an empty matrix
z = zeros(size(pixels,1),numberofimages);

%infile is a textfile containing the names of the images
file = fopen(infile, 'r');
frewind(file);

k = 1;

while 1
    %loop through our textfile
    filename = fgetl(file);
    if ~ischar(filename)
        break;
    end
    
    image = imread(filename);
    image=double(image);%=============================  modified by me jlj 2007
    for i=1:1:size(pixels,1)
          
      z(i,k)= image(pixels(i,1),pixels(i,2), color);
                  
    end
    
    k = k+1;
end

end

