function b = createshuttermatrix(fstop, smallest, numberofimages)

%CREATECHUTTERMATRIX createshuttermatrix(fstop, smallest, numberOfimages)
%   
%   This funcions creates a 1 x numberofimages matrix with the log shutter
%   speed stored for each image in the sequence. 
%
%   AUTHORS:
%   Jansson Sara        sarja751
%   Linnersund Karin    karli734
%

%every column is the shutterspeed for one image
shuttermatrix = zeros(50,numberofimages);
shuttermatrix(:,1) = smallest;

if (fstop == 1)
for i=2:1:numberofimages
    shuttermatrix(:,i) = shuttermatrix(1,i-1)*2;
end

b = log(shuttermatrix);

end