function blurredhdr = effect(hdr, operation)

%EFFECT effect(hdr, operation)
%   
%   This function creates motion blur (operation = 1) or glare (operation =
%   2) on the input hdr image. 
%
%   AUTHORS:
%   Jansson Sara        sarja751
%   Linnersund Karin    karli734
%

if (operation == 1)
    filter = zeros(1,37);
   %h = fspecial('motion',1,37);
elseif (operation == 2)
    filter = zeros(25,25);
end
 
%Create the kernel to filter the hdr image
 kernel = FSPECIAL('average', size(filter));

 %do the actual filtering
 filtered = imfilter(hdr,kernel);

if (operation == 1)
    blurredhdr = filtered;

elseif (operation == 2)
    blurredhdr = (filtered + hdr)/2;
end

end