%This is a mainfunction commaning functions to finally create a camera
%curve and an HDR image from an input of a series of images. If you want to
%use this main function to run the other functions you will have to change
%the arguments to suit your image sequence. 

%From which textfile do you wish to read your images?
textfile = 'ourownimages.txt';
%Create the matrix which holds the different shutter speeds
b = createshuttermatrix(1, 1/4000, 14);
%Create the weightfunction for the camera curve
w = weightfunction2;
%plot the weightfuncion
figure, plot(w)
%Lambda for smoothness in cameracurve
l = 40.0;
%Create the empty camera curve
C = zeros(256,3);
%Create an empty matrix for the film irradiance
E = zeros(50,30);
%For each channel
for i = 1:1:3

    z = createcurvematrix2(textfile, 14, i);

    [g,lE] = gsolve(z,b,l,w);

    C(:,i) = g;
    E(:,i) = lE;

end
%Plot the camera curve
figure, plot(C)
%Create the HDR image
hdr = makehdr(textfile, 1/4000, C, 681, 1024 );% stopped here, half hour passed.
%Uncomment the next line if you want to create an hdr-file of the HDR
%image
%writehdr(hdr, 'test.hdr');